Package com.microblink.blinkid.entities.recognizers.blinkid.mrtd

# Class MrtdCombinedRecognizer.VerificationConstants

java.lang.Object
com.microblink.blinkid.entities.recognizers.blinkid.mrtd.MrtdCombinedRecognizer.VerificationConstants

Enclosing class:
  MrtdCombinedRecognizer

public static final class MrtdCombinedRecognizer.VerificationConstants extends Object
Constants used for building JSON for the verification service, in case when result fields can be edited and/or inserted. Constants are used to match edited/inserted fields with the original fields.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DocumentDataMatch`
  `static final String`
  `EncodedBackFullDocumentImage`
  `static final String`
  `EncodedFaceImage`
  `static final String`
  `EncodedFrontFullDocumentImage`
  `static final String`
  `FaceImage`
  `static final String`
  `FullDocumentBackImage`
  `static final String`
  `FullDocumentFrontImage`
  `static final String`
  `MrzResult`
  `static final String`
  `ScanningFirstSideDone`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VerificationConstants()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DocumentDataMatch

    public static final String DocumentDataMatch
    See Also:
      - Constant Field Values

  - ### EncodedFrontFullDocumentImage

    public static final String EncodedFrontFullDocumentImage
    See Also:
      - Constant Field Values

  - ### FullDocumentFrontImage

    public static final String FullDocumentFrontImage
    See Also:
      - Constant Field Values

  - ### ScanningFirstSideDone

    public static final String ScanningFirstSideDone
    See Also:
      - Constant Field Values

  - ### EncodedBackFullDocumentImage

    public static final String EncodedBackFullDocumentImage
    See Also:
      - Constant Field Values

  - ### MrzResult

    public static final String MrzResult
    See Also:
      - Constant Field Values

  - ### EncodedFaceImage

    public static final String EncodedFaceImage
    See Also:
      - Constant Field Values

  - ### FaceImage

    public static final String FaceImage
    See Also:
      - Constant Field Values

  - ### FullDocumentBackImage

    public static final String FullDocumentBackImage
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### VerificationConstants

    public VerificationConstants()